{
  "custom": {
    "counts": {}
  },
  "params": {
    "classes": "Text-Styles/Ariel-Bold-12pt",
    "value": {
      "tagProps": [
        "MCM01",
        "value",
        "value",
        "value",
        "value",
        "value",
        "value",
        "value",
        "value",
        "value"
      ]
    }
  },
  "propConfig": {
    "custom.counts": {
      "persistent": true
    },
    "custom.counts.Critical": {
      "binding": {
        "config": {
          "fallbackDelay": 2.5,
          "mode": "indirect",
          "references": {
            "MCM": "{view.params.value.tagProps[0]}",
            "fc": "{session.custom.fc}"
          },
          "tagPath": "[{fc}_SCADA_TAG_PROVIDER]System/{MCM}/Alarm Metrics.activeCountCritical"
        },
        "type": "tag"
      }
    },
    "custom.counts.Diagnostic": {
      "binding": {
        "config": {
          "fallbackDelay": 2.5,
          "mode": "indirect",
          "references": {
            "MCM": "{view.params.value.tagProps[0]}",
            "fc": "{session.custom.fc}"
          },
          "tagPath": "[{fc}_SCADA_TAG_PROVIDER]System/{MCM}/Alarm Metrics.activeCountDiagnostic"
        },
        "type": "tag"
      }
    },
    "custom.counts.High": {
      "binding": {
        "config": {
          "fallbackDelay": 2.5,
          "mode": "indirect",
          "references": {
            "MCM": "{view.params.value.tagProps[0]}",
            "fc": "{session.custom.fc}"
          },
          "tagPath": "[{fc}_SCADA_TAG_PROVIDER]System/{MCM}/Alarm Metrics.activeCountHigh"
        },
        "type": "tag"
      }
    },
    "custom.counts.Low": {
      "binding": {
        "config": {
          "fallbackDelay": 2.5,
          "mode": "indirect",
          "references": {
            "MCM": "{view.params.value.tagProps[0]}",
            "fc": "{session.custom.fc}"
          },
          "tagPath": "[{fc}_SCADA_TAG_PROVIDER]System/{MCM}/Alarm Metrics.activeCountLow"
        },
        "type": "tag"
      }
    },
    "custom.counts.Medium": {
      "binding": {
        "config": {
          "fallbackDelay": 2.5,
          "mode": "indirect",
          "references": {
            "MCM": "{view.params.value.tagProps[0]}",
            "fc": "{session.custom.fc}"
          },
          "tagPath": "[{fc}_SCADA_TAG_PROVIDER]System/{MCM}/Alarm Metrics.activeCountMedium"
        },
        "type": "tag"
      }
    },
    "custom.counts.Total": {
      "binding": {
        "config": {
          "fallbackDelay": 2.5,
          "mode": "indirect",
          "references": {
            "MCM": "{view.params.value.tagProps[0]}",
            "fc": "{session.custom.fc}"
          },
          "tagPath": "[{fc}_SCADA_TAG_PROVIDER]System/{MCM}/Alarm Metrics.activeUnackCount"
        },
        "type": "tag"
      }
    },
    "params.classes": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.value": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 50,
      "width": 300
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Label_0"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              },
              "text": "High"
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_1"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              },
              "text": "Med"
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_2"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              },
              "text": "Low"
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_3"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              },
              "text": "Diag"
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_4"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              },
              "text": "Total"
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "25px"
        },
        "props": {
          "justify": "space-between"
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "meta": {
              "name": "Label_0"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.custom.counts.High"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_1"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.custom.counts.Medium"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_2"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.custom.counts.Low"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_3"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.custom.counts.Diagnostic"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Label_4"
            },
            "position": {
              "basis": "32px"
            },
            "propConfig": {
              "props.style.classes": {
                "binding": {
                  "config": {
                    "path": "view.params.classes"
                  },
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.custom.counts.Total"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "FlexContainer_1"
        },
        "position": {
          "basis": "25px"
        },
        "props": {
          "justify": "space-between"
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}